Update account
Update account details, settings, and custom attributes
AuthorizationBearer <token>Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.
account_id*integerThe numeric ID of the account
- body
name?stringName of the account
locale?stringThe locale of the account
domain?stringThe domain of the account
support_email?stringThe support email of the account
auto_resolve_after?|Auto resolve conversations after specified minutes
10 <= value <= 1439856auto_resolve_message?|Message to send when auto resolving
auto_resolve_ignore_waiting?|Whether to ignore waiting conversations for auto resolve
industry?stringIndustry type
company_size?stringCompany size
timezone?stringAccount timezone
Success
application/json- response
id?numberAccount ID
name?stringName of the account
locale?stringThe locale of the account
domain?stringThe domain of the account
support_email?stringThe support email of the account
status?stringThe status of the account
created_at?stringThe creation date of the account
date-timecache_keys?Cache keys for the account
features?Enabled features for the account
settings?Account settings
custom_attributes?Custom attributes of the account
curl -X PATCH 'https://helpdesk.inclamo.com/api/v1/accounts/0' \ -H 'Content-Type: application/json' \ -d '{}'{ "id": 0, "name": "string", "locale": "string", "domain": "string", "support_email": "string", "status": "string", "created_at": "2019-08-24T14:15:22Z", "cache_keys": {}, "features": {}, "settings": { "auto_resolve_after": 0, "auto_resolve_message": "string", "auto_resolve_ignore_waiting": true }, "custom_attributes": { "plan_name": "string", "subscribed_quantity": 0, "subscription_status": "string", "subscription_ends_on": "2019-08-24", "industry": "string", "company_size": "string", "timezone": "string", "logo": "string", "onboarding_step": "string", "marked_for_deletion_at": "2019-08-24T14:15:22Z", "marked_for_deletion_reason": "string" }}